Page MenuHomePhabricator

Remove the small audio breakouts that happens sometimes
Closed, ResolvedPublic

Description

For some records (mainly on firefox, didn't get them on Chrome), I hear some small "pops" in the middle of the record, meaning there is a breakout in the audio stream.

See this audio record for example:

When I check the spectrogram of this file, there is something strange near 0.34s (the red bar):

The audio breakout becomes clearer when we zoom in at this timecode on the waveform view:

For some reason, it seems that the record just jumps/misses some audio samples...

Event Timeline

0x010C created this task.Jun 18 2018, 1:44 PM
0x010C closed this task as Resolved.Jun 20 2018, 9:47 AM

In the LinguaRecorder library, when switching from the listening state to the recording state, we had to disconnect a first ScriptProcessorNode (see doc) and then connect the second one. If some audio sample arrived in-between, they got lost, creating the small audio breakout. To avoid this, I now use only one ScriptProcessorNode (which also simplifies other functions, because we no longer need to manage node disconnection / reconnection in many places).

Fixed in this commit..

Vvjjkkii renamed this task from Remove the small audio breakouts that happens sometimes to gqaaaaaaaa.Jul 1 2018, 1:03 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed 0x010C as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
CommunityTechBot renamed this task from gqaaaaaaaa to Remove the small audio breakouts that happens sometimes.Jul 2 2018, 4:37 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to 0x010C.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)